<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_g"></a>- g -</h3><ul>
<li>GetAdditionalTriples()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a764c108f649c8f6d512bb490350bf079">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>GetAllConstructRulesForLiterals()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#adca1f5830224dba48ffe708010cf6059">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>GetAllMetadataIds()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a229577669657b068d1340cf411431a2a">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetApplicationProfileOfMetadata()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a10fc1f74ce46481187022f780823f01b">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetApplicationProfilesNamesOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0fcedec7e459d3c204e1c4d559f6706a">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetCurrentIndex()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9c280ad42538e56bf06f15ef4de60675">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>GetCurrentIndexVersion()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a1b3377aa66f25bc348f4b31f775b34b7">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetDataType()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a5ee10ad6542a8104374c41984700e600">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetDirectClasses()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6b87aa54d1f864f9950250f4a74016ed">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetFinalQueryString()
: <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ac4130628b3c4f81647bae9be263a2d7a">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
<li>GetGeneralAdditionalTriples()
: <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a23e0aa535802dae89d2de1f90084b154">SemanticSearchImplementation.ApplicationProfile</a>
</li>
<li>GetGraph()
: <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a58522871a768f8aa245c1dda7f28c312">SemanticSearchImplementation.IRdfConnector</a>
, <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a664532a10fa88ffda7255ad48bb6c91c">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
<li>GetIdFromGraphNameAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a3ba32ace0e0cab0a2b48900f0872a688">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>GetLabelOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ae1e7d8d6f5b4c6e28306796ecf04b1db">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>GetLanguage()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaae0d58607a397366b95ea7df96c46f2">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetLiterals()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a06f7a43559af6b078b36d396a8c99e9c">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>GetMappingAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#acd867ae8d2f8cb1d10768502462e7b82">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a919066ae905397687167580e2d7ff227">SemanticSearchImplementation.ISearchClient</a>
</li>
<li>GetParentClasses()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#acd878efe4cd42cca5d36ef23a3f721be">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetPrefixesOfGraph()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8c5e47823241f1bcf75be13a2ed62b3d">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetProjectsOfUser()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#adbb7e39f2915406c4edb5cbacb022dce">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetProperties()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaa5ba8d2534423dfbb370aa2d4400722">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetRdfsLabel()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a469c28c5a40982b1b34e96d439343a78">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetSearchResults()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae9a5146cb7ee4dab269aad27785d3448">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>GetSearchType()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2739439e0b1a22f1c0e738605b696cf6">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>GetTriplesFromGraph()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0207920bfa013e9d7d59cb08107c128a">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetTypeOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a97f1d23bbea4c1e2466c1c1cc409a853">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a708959ad91511d00229939edf8849adc">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GuessLabel()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0c65fc8a2ffd3878d44adaeee55df8a6">SemanticSearchImplementation.RdfClient</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
